Skip to main content
PATCH
/
api
/
brand-studio
/
collections
/
{collection_id}
Update Collection Endpoint
curl --request PATCH \
  --url https://api.example.com/api/brand-studio/collections/{collection_id} \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>",
  "name": "<string>",
  "season": "<string>",
  "status": "draft"
}
'
{
  "created_at": "<string>",
  "id": "<string>",
  "name": "<string>",
  "status": "draft",
  "updated_at": "<string>",
  "description": "<string>",
  "garment_count": 0,
  "garments": [],
  "season": "<string>",
  "share_token": "<string>"
}

Path Parameters

collection_id
string
required

Body

application/json
description
string | null
name
string | null
Required string length: 1 - 200
season
string | null
status
enum<string> | null
Available options:
draft,
review,
final,
archived

Response

Successful Response

created_at
string
required
id
string
required
name
string
required
status
enum<string>
required
Available options:
draft,
review,
final,
archived
updated_at
string
required
description
string | null
garment_count
integer
default:0
garments
GarmentResponse · object[]
season
string | null
share_token
string | null